org.eclipse.nebula.jface.gridviewer

## Class CheckEditingSupport

- java.lang.Object
- - EditingSupport
  - - org.eclipse.nebula.jface.gridviewer.CheckEditingSupport

    public abstract class CheckEditingSupport
    extends EditingSupport

.

### Constructor Summary

Constructors
Constructor and Description
`CheckEditingSupport(ColumnViewer viewer)` Checkbox editing support.

### Method Summary

Methods
`protected boolean` `canEdit(java.lang.Object element)`
`protected CellEditor` `getCellEditor(java.lang.Object element)`
`protected java.lang.Object` `getValue(java.lang.Object element)`
`abstract void` `setValue(java.lang.Object element, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckEditingSupport

    public CheckEditingSupport(ColumnViewer viewer)

Checkbox editing support.

Parameters:
  `viewer` - column to add check box support for.

### Method Detail

#### canEdit

    protected boolean canEdit(java.lang.Object element)

#### getCellEditor

    protected CellEditor getCellEditor(java.lang.Object element)

#### getValue

    protected java.lang.Object getValue(java.lang.Object element)

#### setValue

    public abstract void setValue(java.lang.Object element,
                java.lang.Object value)

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0